org.omg.IOP

## Interface CodecFactory

- All Superinterfaces:
    CodecFactoryOperations, IDLEntity, Object, Serializable

      public interface CodecFactory
      extends CodecFactoryOperations, Object, IDLEntity

  `Codecs` are obtained from the `CodecFactory`. The `CodecFactory` is obtained through a call to `ORB.resolve_initial_references( "CodecFactory" )`.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.IOP.CodecFactoryOperations

      `create_codec`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.